﻿@model IContentBlockViewModel<TeaserSection3>

<div class="animation-anchor s6"></div>
<div class="contact-section">
    <div class="contact-section__container flex-container flex-container--align-start flex-container--jastify-between">
        <div class="contact-section__text" id="contact-text">
            <h2 class="section-title">@Model.Content.Heading</h2>
            <div class="description-content">
                <h4 class="section-sub-title">@Model.Content.SubHeading</h4>
                <div class="content-item">
                    @Html.Raw(Model.Content.Text)
                </div>
                @if (Model.Content.Links != null && Model.Content.Links.Any())
                {
                    foreach (var link in Model.Content.Links)
                    {
                        <a href="@link.Url" target="@link.Target" class="btn">
                            <span>@link.Name</span>
                            <svg width="13px" height="10px" viewBox="0 0 13 10">
                                <path d="M1,5 L11,5"></path>
                                <polyline points="8 1 12 5 8 9"></polyline>
                            </svg>
                        </a>
                    }
                }
            </div>
        </div>

        <div class="contact-section__img">
            <div class="section-img-l-board" id="contact-img-bord-left"></div>
            <div class="section-img-r-board" id="contact-img-bord-right"></div>
            <div class="section-img-t-board" id="contact-img-bord-top"></div>


            @if (Model.Content.HasValue("videoMp4") || Model.Content.HasValue("videoWebp"))
            {
                var posterimg = Model.Content.Value<IPublishedContent>("image");
                <video class="findSection-video" poster="@if(posterimg != null){<text>@posterimg.Url</text>}" playsinline autoplay muted loop>
                    @{
                        var webp = Model.Content.Value<IPublishedContent>("videoWebp");
                        var mp4 = Model.Content.Value<IPublishedContent>("videoMp4");
                        if (webp != null)
                        {
                            <source src='@webp.Url' type="video/webm">
                        }
                        if (mp4 != null)
                        {
                            <source src='@mp4.Url' type="video/mp4">
                        }
                    }
                </video>
            }
            else if (Model.Content.HasValue("image"))
            {
                var img = Model.Content.Image;
                <picture>
                    <source srcset="@img.GetCropUrl(340, 284)" media="(max-width: 414px)"><!--590px phone-->
                    <source srcset="@img.GetCropUrl(590, 332)" media="(max-width: 768px)"><!--590px ipad vertical-->
                    <img srcset="@img.GetCropUrl(1000, 864)" alt="@RazorHelpers.GetAltText(img.Value<string>("altText"), Model.Content.Heading)"><!--1170px-->
                </picture>
            }


            @if (!Model.Content.HideOverlay)
            {
                <div class="overlay-description contact-img-text"></div>
                <div class="contact-img-text" id="contact-img-text">
                    @if (Model.Content.HasValue("overlayContent") && !string.IsNullOrEmpty(Model.Content.Value("overlayContent").ToString()))
                    {
                        <div class="section-title">
                            @Model.Content.OverlayContent
                        </div>
                    }
                </div>
            }
        </div>

    </div>
</div>
